# start of Meshtastic configure yaml
channel_url: {channel url}
config:
  bluetooth:
    enabled: true
    fixedPin: {bluetooth PIN}
  device:
    ledHeartbeatDisabled: true
    nodeInfoBroadcastSecs: 10800
    tzdef: Europe/Stockholm
  display:
    screenOnSecs: 600
  lora:
    configOkToMqtt: true
    hopLimit: 3
    ignoreMqtt: true
    region: EU_868
    sx126xRxBoostedGain: true
    txEnabled: true
    txPower: 27
    usePreset: true
  network:
    ethEnabled: true
    ntpServer: meshtastic.pool.ntp.org
    wifiEnabled: true
    wifiPsk: {wifi password}
    wifiSsid: {wifi SSID}
  position:
    broadcastSmartMinimumDistance: 100
    broadcastSmartMinimumIntervalSecs: 30
    fixedPosition: true
    gpsMode: NOT_PRESENT
    gpsUpdateInterval: 120
    positionBroadcastSecs: 900
    positionBroadcastSmartEnabled: true
    positionFlags: 811
  power:
    lsSecs: 300
    minWakeSecs: 10
    sdsSecs: 4294967295
    waitBluetoothSecs: 60
  security:
    privateKey: {din base64 private key - hemlig}
    publicKey: {din base64 publik key - publik}
    serialEnabled: true
location:
  alt: {altitude i meter över havet}
  lat: {latitude med decimaler}
  lon: {longitude med decimaler}
module_config:
  ambientLighting:
    blue: 200
    current: 10
    green: 141
    red: 60
  detectionSensor:
    detectionTriggerType: LOGIC_HIGH
    minimumBroadcastSecs: 45
  mqtt:
    address: mqtt.meshat.se
    enabled: true
    encryptionEnabled: true
    jsonEnabled: true
    mapReportingEnabled: true
    password: msh
    proxyToClientEnabled: true
    root: msh/SE
    tlsEnabled: true
    username: msh
  neighborInfo:
    enabled: true
    updateInterval: 18000
  serial:
    echo: true
    enabled: true
owner: "{långt namn}"
owner_short: {kort namn, 4 tecken}

